LibreOffice: XDrillDownDataSupplier Interface Reference

LibreOffice LibreOffice 26.2 SDK API Reference

Loading...
Searching...
No Matches
XDrillDownDataSupplier Interface Reference

supplies a filtered subset of the original data source based on filtering criteria. More...

`import "XDrillDownDataSupplier.idl";`

Inheritance diagram for XDrillDownDataSupplier:

## Public Member Functions
sequence< sequence< any > > | getDrillDownData ([in] sequence< com::sun::star::sheet::DataPilotFieldFilter > aFilters)
| This method returns filtered subset of the original source data based on a given set of filtering criteria.
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object.
void | acquire ()
| increases the reference counter by one.
void | release ()
| decreases the reference counter by one.

## Detailed Description

supplies a filtered subset of the original data source based on filtering criteria.

A service that acts as a DataPilot data source can optionally implement this interface to allow drill-down of result data. The method this interface provides is used internally when calling XDataPilotTable2::getDrillDownData() or XDataPilotTable2::insertDrillDownSheet(). If the data source service does not implement this interface, then the aforementioned two methods will have no effect.

See also
  com::sun::star::sheet::DataPilotSource

Since
  OOo 3.0

## Member Function Documentation

## ◆ getDrillDownData()

sequence< sequence< any > > getDrillDownData | ( | [in] sequence< com::sun::star::sheet::DataPilotFieldFilter > | aFilters | ) |

This method returns filtered subset of the original source data based on a given set of filtering criteria.

Parameters

  aFilters | filtering criteria

Returns
  a filtered subset of the original source data as 2-dimensional sequences of any. The first row must be the header row. Each any instance must contain either double value for a numeric cell, or a string value for a string cell.

See also
  com::sun::star::sheet::DataPilotFieldFilter
  com::sun::star::sheet::XDataPilotTable2

The documentation for this interface was generated from the following file:

- com/sun/star/sheet/XDrillDownDataSupplier.idl